class RelayResponse {
  bool? success;
  List<Data>? data;

  RelayResponse({this.success, this.data});

  RelayResponse.fromJson(Map<String, dynamic> json) {
    success = json['success'];
    if (json['data'] != null) {
      data = <Data>[];
      json['data'].forEach((v) {
        data!.add(Data.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['success'] = success;
    if (this.data != null) {
      data['data'] = this.data!.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class Data {
  int? id;
  int? number;
  String? enabledAt;
  String? disabledAt;
  bool? currentStatus;
  String? createdAt;

  Data(
      {this.id,
      this.number,
      this.enabledAt,
      this.disabledAt,
      this.currentStatus,
      this.createdAt});

  Data.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    number = json['number'];
    enabledAt = json['enabled_at'];
    disabledAt = json['disabled_at'];
    currentStatus = json['current_status'];
    createdAt = json['created_at'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['number'] = number;
    data['enabled_at'] = enabledAt;
    data['disabled_at'] = disabledAt;
    data['current_status'] = currentStatus;
    data['created_at'] = createdAt;
    return data;
  }
}
